Uses of Interface
jakarta.persistence.TupleElement
Packages that use TupleElement
Package
Description
Defines the core APIs for the management for persistence and
object/relational mapping.
Defines the Jakarta Persistence Criteria Query API.
Defines an API for the programmatic definition of SQL result set
mappings to Java classes.
-
Uses of TupleElement in jakarta.persistence
Methods in jakarta.persistence that return types with arguments of type TupleElementModifier and TypeMethodDescriptionList<TupleElement<?>> Tuple.getElements()Return the tuple elements.Methods in jakarta.persistence with parameters of type TupleElementModifier and TypeMethodDescription<X> XTuple.get(TupleElement<X> tupleElement) Get the value of the specified tuple element. -
Uses of TupleElement in jakarta.persistence.criteria
Subinterfaces of TupleElement in jakarta.persistence.criteriaModifier and TypeInterfaceDescriptioninterfaceType for boolean query expressions.interfaceRepresents a simple or compound attribute path from a bound type or collection, and is a "primitive" expression of a boolean type.interfaceCollectionJoin<Z,E> TheCollectionJoininterface is the type of the result of joining to a collection over an association or element collection that has been specified as aCollection.interfaceComparableExpression<C extends Comparable<? super C>>Type for comparable query expressions.interfaceTheCompoundSelectioninterface defines a compound selection item (a tuple, array, or result of a constructor).static interfaceInterface used to build general case expressions.static interfaceInterface used to build coalesce expressions.static interfaceInterface used to build in predicates.static interfaceInterface used to build simple case expressions.interfaceExpression<T>Type for query expressions.interfaceFrom<Z,X> Represents a bound type, usually an entity that appears in the from clause, but may also be an embeddable belonging to an entity in the from clause.interfaceJoin<Z,X> A join to an entity, embeddable, or basic type.interfaceListJoin<Z,E> TheListJoininterface is the type of the result of joining to a collection over an association or element collection that has been specified as aList.interfaceMapJoin<Z,K, V> TheMapJoininterface is the type of the result of joining to a collection over an association or element collection that has been specified as aMap.interfaceNumericExpression<N extends Number & Comparable<N>>Type for number query expressions.interfaceType of criteria query parameter expressions.interfacePath<X>Represents a simple or compound attribute path from a bound type or collection, and is a "primitive" expression.interfacePluralExpression<C,E> Type for collection query expressions.interfacePluralJoin<Z,C, E> ThePluralJoininterface defines functionality that is common to joins to all collection types.interfaceThe type of a simple or compound predicate: a conjunction or disjunction of restrictions.interfaceRoot<X>A root type in the from clause.interfaceSelection<X>TheSelectioninterface defines an item that is to be returned in a query result.interfaceSetJoin<Z,E> TheSetJoininterface is the type of the result of joining to a collection over an association or element collection that has been specified as aSet.interfaceSubquery<T>TheSubqueryinterface defines functionality that is specific to subqueries.interfaceTemporalExpression<T extends Temporal & Comparable<? super T>>Type for temporal query expressions.interfaceType for string query expressions. -
Uses of TupleElement in jakarta.persistence.sql
Subinterfaces of TupleElement in jakarta.persistence.sqlModifier and TypeInterfaceDescriptioninterfaceSupertype of objects which map a column or columns of a JDBCResultSetto a Java type returned by the query.Classes in jakarta.persistence.sql that implement TupleElement